<?php 
    $page_title=(isset($_GET['wallpaper_id'])) ? 'Edit Wallpaper' : 'Add Wallpaper';
    include("includes/header.php");
    require("includes/lb_helper.php");
    require("language/language.php");
    require_once("thumbnail_images.class.php");
    
    $page_save=(isset($_GET['wallpaper_id'])) ? 'Save' : 'Create';
    
    $cat_qry="SELECT * FROM tbl_category WHERE status='1' ORDER BY category_name";
    $cat_result=mysqli_query($mysqli,$cat_qry); 
    
    $col_qry="SELECT * FROM tbl_color WHERE color_status='1' ORDER BY color_name";
    $col_result=mysqli_query($mysqli,$col_qry);
    
    if(isset($_POST['submit']) and isset($_GET['add'])){
        
        $count = count($_FILES['wallpaper_image']['name']);
        
        for($i=0;$i<$count;$i++){
            $file_name= str_replace(" ","-",$_FILES['wallpaper_image']['name'][$i]);
            $albumimgnm=rand(0,99999)."_".$file_name;
            
            //Main Image
            $tpath1='categories/'.$_POST['cat_id'].'/'.$albumimgnm;      
            $pic1=compress_image($_FILES["wallpaper_image"]["tmp_name"][$i], $tpath1, 70); 
            
            $date=date('Y-m-j');
            
            $data = array( 
                'img_name'  =>  $_POST['img_name'],
                'cat_id'  =>  $_POST['cat_id'],
                'pay'  =>   ($_POST['pay']) ? 'premium' : 'free',
                'img_type'  =>  $_POST['img_type'],
                'image_date'  =>  $date,
                'image'  =>  $albumimgnm,
                'wall_colors'  =>  implode(',', $_POST['wall_colors'])
            );    
            
            $qry = Insert('tbl_wallpaper',$data); 
        }
        
        $_SESSION['msg']="10";
        $_SESSION['class']='success';
        header( "Location:create_wallpaper.php?add=yes");
        exit;
    }
    
    if(isset($_GET['wallpaper_id'])){
        $qry="SELECT * FROM tbl_wallpaper where id='".$_GET['wallpaper_id']."'";
        $result=mysqli_query($mysqli,$qry);
        $row=mysqli_fetch_assoc($result);
    }
    
    if(isset($_POST['submit']) and isset($_POST['wallpaper_id'])){
        
        if($_FILES['wallpaper_image']['name']!=""){
            
            if($row['image']!=""){
                $curr_File='categories/'.$row['cat_id'].'/'.$row['image'];
                unlink($curr_File);
            }
            
            $file_name= str_replace(" ","-",$_FILES['wallpaper_image']['name']);
            $albumimgnm=rand(0,99999)."_".$file_name;
            
            //Main Image
            $tpath1='categories/'.$_POST['cat_id'].'/'.$albumimgnm;       
            $pic1=compress_image($_FILES["wallpaper_image"]["tmp_name"], $tpath1, 70);
         
        } else {
            $albumimgnm=$row['image'];
        }
        
         $data = array( 
            'img_name'  =>  $_POST['img_name'],
            'cat_id'  =>  $_POST['cat_id'],
            'pay'  =>   ($_POST['pay']) ? 'premium' : 'free',
            'img_type'  =>  $_POST['img_type'],
            'image'  =>  $albumimgnm,
            'wall_colors'  =>  implode(',', $_POST['wall_colors'])
        );
        
        $qry=Update('tbl_wallpaper', $data, "WHERE id = '".$_POST['wallpaper_id']."'");
        
        $_SESSION['msg']="11";
        $_SESSION['class']='success';
        header( "Location:create_wallpaper.php?wallpaper_id=".$_POST['wallpaper_id']);
        exit;
    }
?>

<!-- Start: main -->
<main id="nsofts_main">
    <div class="nsofts-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb align-items-center">
                <li class="breadcrumb-item d-inline-flex"><a href="dashboard.php"><i class="ri-home-4-fill"></i></a></li>
                <li class="breadcrumb-item d-inline-flex active" aria-current="page"><?php echo (isset($page_title)) ? $page_title : "" ?></li>
            </ol>
        </nav>
            
        <div class="row g-4">
            <div class="col-12">
                <div class="card h-100">
                    <div class="card-body p-4">
                        <h5 class="mb-3"><?=$page_title ?></h5>
                        <form action="" name="addeditcategory" method="POST" enctype="multipart/form-data">
                            <input  type="hidden" name="wallpaper_id" value="<?=(isset($_GET['wallpaper_id'])) ? $_GET['wallpaper_id'] : ''?>" />
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Category</label>
                                <div class="col-sm-10">
                                    <select name="cat_id" id="cat_id" class="nsofts-select" required>
                                        <option value="">--Select Category--</option>
                                        <?php while($cat_row=mysqli_fetch_array($cat_result)){ ?>      
                                            <?php if(isset($_GET['wallpaper_id'])){ ?>
                                                <option value="<?php echo $cat_row['cid'];?>" <?php if($cat_row['cid']==$row['cat_id']){?>selected<?php }?>><?php echo $cat_row['category_name'];?></option>	          							 
                                            <?php } else { ?>
                                                <option value="<?php echo $cat_row['cid'];?>"><?php echo $cat_row['category_name'];?></option>   							 
                                            <?php } ?>
                                        <?php } ?> 
                                    </select>
                                </div>
                            </div>

                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Wallpaper Colors</label>
                                <div class="col-sm-10">
                                    <select name="wall_colors[]" id="wall_colors" class="nsofts-select" multiple="multiple" required>
                                        <option value="">--Select Colors--</option>
                                        <?php while($colors=mysqli_fetch_array($col_result)){ ?>
                                            <?php if(isset($_GET['wallpaper_id'])){?>
                                                <option value="<?php echo $colors['color_id'];?>" <?php if(in_array($colors['color_id'],explode(',', $row['wall_colors']))){ echo 'selected'; } ?>><?php echo $colors['color_name'];?></option>   
                                            <?php } else {?>
                                                <option value="<?php echo $colors['color_id'];?>"><?php echo $colors['color_name'];?></option>
                                            <?php } ?>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>

                            <div class="mb-2 row">
                                <label class="col-sm-2 col-form-label">Premium</label>
                                <div class="col-sm-10">
                                    <div class="nsofts-switch d-flex align-items-center">
                                        <input type="checkbox" id="pay" name="pay" value="premium" class="cbx hidden" 
                                            <?php if(isset($_GET['wallpaper_id'])){ ?>
                                                <?php if($row['pay']=='premium'){ echo 'checked'; }?>
                                            <?php } ?>
                                        />
                                        <label for="pay" class="nsofts-switch__label"></label>
                                    </div>
                                </div>
                            </div>
                            
                             <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Type</label>
                                <div class="col-sm-10">
                                    <select name="img_type" id="img_type" class="nsofts-select" required>
                                        <?php if(isset($_GET['wallpaper_id'])){ ?>
                                            <option value="Portrait" <?php if('Portrait'==$row['img_type']){?>selected<?php }?> >Portrait</option>
                                            <option value="Landscape" <?php if('Landscape'==$row['img_type']){?>selected<?php }?>>Landscape</option>
                                            <option value="Square" <?php if('Square'==$row['img_type']){?>selected<?php }?>>Square</option>
                                        <?php } else { ?>
                                            <option value="Portrait">Portrait</option>
                                            <option value="Landscape">Landscape</option>
                                            <option value="Square">Square</option>  							 
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            
                            
                            <div class="mb-3 row">
                                <label class="col-sm-2 col-form-label">Wallpaper Title*</label>
                                <div class="col-sm-10">
                                     <input type="text" name="img_name" class="form-control" value="<?php if(isset($_GET['wallpaper_id'])){echo $row['img_name'];} else {echo '';}?>">
                                </div>
                            </div>
                            
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">Select Image</label>
                                    <div class="col-sm-10">
                                        <?php if(isset($_GET['wallpaper_id'])){?>
                                           <input type="file" class="form-control-file" name="wallpaper_image" accept=".png, .jpg, .jpeg, .svg, .JPG .PNG" onchange="fileValidation()" id="fileupload">
                                        <?php }else{?>  
                                            <input type="file" class="form-control-file" name="wallpaper_image[]" accept=".png, .jpg, .jpeg, .svg, .JPG .PNG" onchange="fileValidation()" id="fileupload" multiple>
                                        <?php }?>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">&nbsp;</label>
                                    <div class="col-sm-10">
                                        <div class="fileupload_img" id="imagePreview">
                                            <?php if(isset($_GET['wallpaper_id']) AND file_exists('categories/'.$row['cat_id'].'/'.$row['image'])) {?>
                                              <img class="col-sm-3 img-thumbnail" type="image" src="categories/<?php echo $row['cat_id'];?>/<?php echo $row['image'];?>" alt="image" />
                                            <?php }else{?>
                                              <img class="col-sm-3 img-thumbnail" type="image" src="assets/images/300x300.jpg" alt="image" />
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">&nbsp;</label>
                                    <div class="col-sm-10">
                                        <button type="submit" name="submit" class="btn btn-primary" style="min-width: 120px;"><?=$page_save?></button>
                                    </div>
                                </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<!-- End: main -->
    
<?php include("includes/footer.php");?> 